Subject: bug#21953: Eliminate warnings in the emacs-25 release branch

From: Glenn Morris <[email-masked]>
Date: Wed, 25 Nov 2015 13:54:59 -0500

Alan Mackenzie wrote:

> The backward compatibility stuff has been there for decades (well, over
> ten years anyway, possibly over twenty).  Most of the stuff in cc-fix.el
> has been fixed in all supported platforms, in particular in Emacs.  That
> is why cc-fix.el isn't needed (and doesn't exist) in Emacs.  But
> `delete-dups' still doesn't exist in XEmacs 21.4.x.
>
> Whether it's worth it?  I suppose, some time "soon", I should get rid of
> backward compatibility stuff not needed any more, and also wierd hacks
> (like defining a function with "(eval '(defun cc-bytecomp-load ...))"
> because a proper byte compilation caused XEmacs to dump core back in
> 2003).

Stefan has offered to clean this stuff up several times, eg most recently
http://debbugs.gnu.org/21466

I really wish you'd take him up on his offers.